function ui_main(menu_bg,btn1,btn2,btn3)

% main menu to set library

% Copyright 2016 M.Reiss and G.Rmpker

global sel_data pb1

% main panel
hsp_main = uipanel('units','normalized','position',[.2 .0 .8 1]);

% welcome button group
main_bg = uibuttongroup('Parent',hsp_main,'Title',...
    'Welcome ','Visible', 'on','Position',...
    [.0 .0 .5 .95],'fontunits','normalized','fontsize', 0.04);

txt1 = uicontrol(main_bg, 'Style', 'text', 'String', ...
    'Welcome to SplitRacer!','Units', 'normalized',...
    'position',[0.05,0.8,0.9,0.1],'fontunits','normalized','fontsize',0.4);

txt2 = uicontrol(main_bg, 'Style', 'text', 'String', ...
    'A tool for teleseismic shear-wave splitting analysis','Units',...
    'normalized',...
    'position',[0.05,0.7,0.9,0.1],'fontunits','normalized','fontsize',0.3);

txt3 = uicontrol(main_bg, 'Style', 'text', 'String', ...
    'If you are new to SplitRacer ...','Units', 'normalized',...
    'position',[0.05,0.5,0.8,0.1],'fontunits','normalized','fontsize',0.3);

pb0 = uicontrol(main_bg,'Style','pushbutton','Units', 'normalized',...
    'position',[0.05,0.4,0.4,0.1],'String',...
    '<html>View <br>User Guide','fontunits',...
    'normalized','fontsize',0.3,'Callback',@uiUG);

pb00 = uicontrol(main_bg,'Style','pushbutton','Units', 'normalized',...
    'position',[0.55,0.4,0.4,0.1],'String',...
    'View article','fontunits',...
    'normalized','fontsize',0.3,'Callback',@uiP);

% disclaimer

txt00 = uicontrol(main_bg, 'Style', 'text', 'String', ...
    {['This program is free software: you can redistribute it and/or ',...
    'modify it under the terms of the GNU General Public License as ',...
    'published by the Free Software Foundation, either version 3 of ',...
    'the License, or (at your option) any later version.'],'',...
    ['This program is distributed in the hope that it will be useful, ',...
    'but WITHOUT ANY WARRANTY; without even the implied warranty of ',...
    'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the ',...
    'GNU General Public License for more details. '],'',...
    ['You should have received a copy of the GNU General Public License ',...
    'along with this program. ',...
    'If not, see <http://www.gnu.org/licenses/>.']}, ...
    'Units', 'normalized','position',[0.05,0.02,0.9,0.32],...
    'fontunits','normalized','fontsize',0.06);

% main button group
main_bg1 = uibuttongroup('Parent',hsp_main,'Title',...
    'Set data library','Visible', 'on','Position',...
    [.5 .0 .5 .95],'fontunits','normalized','fontsize', 0.04);

r1 = uicontrol(main_bg1,'Style','radiobutton', 'String',...
    'create new library', 'units','normalized', 'Position',...
    [0.05 .8 .45 .1], 'HandleVisibility','on','Tag','Button1');
r2 = uicontrol(main_bg1,'Style','radiobutton','String',...
    'set existing library', 'units','normalized','Position',...
    [0.5 .8 .45 .1], 'HandleVisibility','on','Tag','Button2');

pb1 = uicontrol(main_bg1,'Style','pushbutton','Units', 'normalized',...
    'position',[0.05,0.65,0.4,0.1],'String',...
    '<html>Set <br>working directory','fontunits',...
    'normalized','fontsize',0.3,'Callback',@uidir);

txt1 = uicontrol(main_bg1, 'Style', 'text', 'String', ...
    {'Enter library name:'},'Units', 'normalized',...
    'position',[0.05,0.5,0.4,0.1],'fontunits','normalized','fontsize',0.3);

e1 = uicontrol(main_bg1, 'Style', 'Edit','String','project_name',...
    'Units', 'normalized','position',[0.05,0.4,0.4,0.1]);

pb2 = uicontrol(main_bg1,'Style','pushbutton','Units', 'normalized',...
    'position',[0.55,0.4,0.4,0.1],'String',...
    'OK','fontunits',...
    'normalized','fontsize',0.3,'Callback',...
    {@ui_getmain,main_bg1,e1,menu_bg,btn1,btn2,btn3});



txt4 = uicontrol(main_bg1, 'Style', 'text', 'String', ...
    {'Please acknowledge SplitRacer by citing this article:','',...
    ['Reiss, M.C. and G. Rmpker (2017).',...
    ' SplitRacer - MATLAB code and GUI for semi-automated analysis and',...
    ' interpretation of teleseismic shear-wave splitting , Seismological ',...
    'Research Letters, Volume 88, doi: 10.1785/0220160191.']}, 'Units', 'normalized',...
    'position',[0.05,0.05,0.9,0.25],'fontunits','normalized','fontsize',0.1);    
set(main_bg1,'SelectionChangeFcn',{@ui_choose_lib,main_bg1,txt1,e1});
set(main_bg1,'SelectedObject',r1)

end

function ui_choose_lib(hObject,handles,main_bg1,txt1,e1)

% radio button function for create new or load existing library

global sel_data pb1

switch get(get(hObject,'SelectedObject'),'Tag')
        
        case 'Button1'
            % this option is displayed by default 
            set(e1,'Visible','on')
            set(txt1,'Visible','on')
            set(pb1, 'Visible','off')
            
            pb1 = uicontrol(main_bg1,'Style','pushbutton','Units', ...
                'normalized','position',[0.05,0.65,0.4,0.1],'String',...
                '<html>Set <br>working directory','fontunits',...
                'normalized','fontsize',0.3,'Callback',@uidir);
            
        case 'Button2'
            % this option enables loading an existing library and changes
            % the layout of the GUI
            set(e1,'Visible','off')
            set(txt1,'Visible','off')
            set(pb1,'Visible','off')
            
            pb1 = uicontrol(main_bg1,'Style','pushbutton','Units', ...
                'normalized', 'position',[0.55,0.65,0.4,0.1],'String',...
                'Set library','fontunits',...
                'normalized','fontsize',0.3,'Callback',@uidir);

end

end

function ui_getmain(hObject,handles,main_bg1,e1,menu_bg,btn1,btn2,btn3)

% get chosen input parameters

global sel_data

switch get(get(main_bg1,'SelectedObject'),'Tag');
    
    case 'Button1'
        % create new folder for option one
        uicreate(e1)
        
    case 'Button2'

end

% enable main button group 
set(btn1,'Enable','on') 
set(btn2,'Enable','on') 
set(btn3,'Enable','on') 
    
end

function uiUG(hObject,handles)

open('UserGuide.pdf')

end

function uiP(hObject,handles)

% path to SRL
web('http://srl.geoscienceworld.org/','-browser')

end